#
# spec file for package python-python-sql
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}

%define base_name python-sql
Name:           python-%{base_name}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Version:        0.9
Release:        lp150.1.4
Source:         https://pypi.io/packages/source/p/%{base_name}/%{base_name}-%{version}.tar.gz
Url:            https://pypi.io/project/python-sql
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif   
Summary:        Library to write SQL queries
License:        BSD-3-Clause
Group:          Development/Languages/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
python-sql is a library to write SQL queries in a pythonic way.

%prep
%setup -q -n %{base_name}-%{version}

%build
%python_build 

%install
%python_install

%files %{python_files}
%defattr(-,root,root)
%doc README
%{python_sitelib}/*

%changelog
* Mon Apr 24 2017 axel.braun@gmx.de
- Version 0.9
  * Add distinct_on on Select
  * Allow to use Select as Column of Select query
  * Support Select without from clause
* Mon Apr 17 2017 axel.braun@gmx.de
- singlespec
  source URL corrected
* Thu Jun 30 2016 axel.braun@gmx.de
- corrected name/metaname
* Thu Jun 30 2016 axel.braun@gmx.de
- correct naming to python-python-sql
  correct License
* Sat Sep 19 2015 axel.braun@gmx.de
- Version 0.8
  * Add DISTINCT qualifier to aggregate expressions
  * Allow to order on select queries
  * Add NULL ordering
  * Use UPPER to simulate missing ILIKE
  * Add CURRENT_DATE function
  * Fix DateTrunc function name
  * Add no_boolean Flavor
  * Add converter format2numeric
  * Add rownum limit style
  * Add no_as Flavor
* Wed May 20 2015 axel.braun@gmx.de
- upgrade to version 0.7
  * Fix WINDOW and HAVING params order in Select
  * Add window functions
  * Add filter and within group to aggregate
  * Add limitstyle with 'offset' and 'limit'
  * Add Lateral
* Fri Feb  6 2015 axel.braun@gmx.de
- upgrade to version 0.6
  * Fix Delete query under multithread
  * Add missing quote for with query name
- Changes from version 0.5
  * Add schema
  * Add Common Table Expression
  * Escape Mod operator '%%' with format paramstyle
  * Deprecate Interesect in favor of Intersect
  * Add Values
- remove build dependencies to python-Genshi, python-lxml
* Fri Sep 12 2014 axel.braun@gmx.de
- upgrade to version 0.4
* Mon Mar 24 2014 axel.braun@gmx.de
- update to version 0.3
* Mon Oct 28 2013 axel.braun@gmx.de
- Initial Build on OBS
